"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_association_1 = require("../shared/base-association");
const association_1 = require("../shared/association");
class BelongsToAssociation extends base_association_1.BaseAssociation {
    constructor(associatedClassGetter, options) {
        super(associatedClassGetter, options);
        this.options = options;
    }
    getAssociation() {
        return association_1.Association.BelongsTo;
    }
    getSequelizeOptions(model, sequelize) {
        const options = Object.assign({}, this.options);
        const associatedClass = this.getAssociatedClass();
        options.foreignKey = this.getForeignKeyOptions(associatedClass, model, options.foreignKey);
        return options;
    }
}
exports.BelongsToAssociation = BelongsToAssociation;
//# sourceMappingURL=belongs-to-association.js.map