import { AssociationOptions } from './association-options';
import { Model } from '../../model/model/model';
import { AssociationForeignKeyOptions } from 'sequelize';
import { Association } from './association';
import { ModelClassGetter } from '../../model/shared/model-class-getter';
import { SequelizeImpl } from '../../sequelize/shared/sequelize-impl';
export declare abstract class BaseAssociation {
    private associatedClassGetter;
    protected options: AssociationOptions;
    constructor(associatedClassGetter: ModelClassGetter, options: AssociationOptions);
    abstract getAssociation(): Association;
    abstract getSequelizeOptions(model: typeof Model, sequelize: SequelizeImpl): AssociationOptions;
    getAssociatedClass(): typeof Model;
    getAs(): string | {
        singular: string;
        plural: string;
    } | undefined;
    protected getForeignKeyOptions(relatedClass: typeof Model, classWithForeignKey: typeof Model, foreignKey?: string | AssociationForeignKeyOptions): AssociationForeignKeyOptions;
}
